# Well hello there!

![GitHub readme banner](https://github.com/ajhalili2006/ajhalili2006/raw/83d1552339fec8d91eadcab0289d43b6a9ef775c/static/readme-banner-2022.png)

I'm **Andrei Jiroh Halili** (he/they), an 18 year old Autistic[^7] Filipino student,
self-taught backend developer (in training), open-source contributor,
building [Recap Time Squad](https://recaptime.dev)[^1], and part-time writer for
[my personal blog](https://ajhalili2006.substack.com) and [The Bloody Hell PH](https://fromthebshq.substack.com)
based in Marilao, Bulacan, Philippines.

I'm passionate about Linux (especially shell scripting and all things
software packaging, currently Alpine Linux package maintainer for GitHub CLI), DevSecOps,
programming (not only in JavaScript/TypeScript, but I am also exploring Python, Go and other languages),
politics (_cough Philippine politics in lens of foreigners while disabled with [Honest Government Ads]
level of satire_) and internet health (things like fandom toxicity and cancel culture).

I am pretty searchable at [`@ajhalili2006`](./links.md) on [GitHub], [sourcehut], and
[across the fediverse] (or via [Threads](https://threads.net/@ajhalili2006)).
[Here's my contact details](./contact/index.md) if you need to contact me.

## More about me

Currently, I am part of the [Hack Club] community on their Slack workspace,
participating on [High Seas] and even attended their in-person game
jam [Counterspell]. I am the lead developer and maintainer for the [leeksbot] Slack app, an
companion to the `#hackclub-leeks` channel for everything been cooking behind the scenes at HQ.

Alongside being a Hack Clubber myself, I am a SABDFL (self-assigned benevolent dictator for life) or
open-source developer and maintainer (if you prefer to use that term instead) at [Recap Time Squad], mostly
working on [Community Lorebooks] documentation + subdomain service project, among other things.

Outside of being a Linux enthusiast and backend JavaScript dev myself, I am mostly seen lurking and joining lore discussions
over at [~mikedmoy's Discord server](https://go.andreijiroh.dev/discord/gildedguy)[^5]. I am not only followed
animators and furries (_please send help in the backrooms if I need to eyebleach on NSFW art_), but also
Minecrafters ([mostly the Hermits](https://hermitcraft.com)), (not just anime) roleplaying accounts, SubStack
writers and even fellow devs and disabled people (not just autistics).

[Hack Club]: https://hackclub.com
[High Seas]: https://highseas.hackclub.com
[Counterspell]: https://counterspell.hackclub.com
[leeksbot]: https://github.com/andreijiroh-dev/leeksbot
[Recap Time Squad]: https://recaptime.dev
[Community Lorebooks]: https://lorebooks.wiki

## Why I code + use Linux?

My journey in coding started at [Glitch.com](https://glitch.com) in 2017-2018 to learn a bit of Node.js, while
my Linux journey started few months after that using VirtualBox. Some suggest that it started off being a ~~internet addict~~
(the words in strikethrough is a bit of a stigma in itself due to being one of my coping mechanisms while
autistic myself)[^6] chronically online Autist myself.

I code, usually in JavaScript for backend stuff, especially building APIs and learning all things databases
through Prisma, not only to learn how to build apps and tools, and learn all things Docker, but
also as a way to express myself and unload the baggage from my own traumas through code and
technical documentation. Although I am sort of semi-closeted and
introverted neurodivergent person, I try to document things in the public through
[daily notes on my wiki](https://go.andreijiroh.dev/daily-notes) and [my personal launchpad issue tracker]
and occasionally over at my socials.

I use Linux, since using Windows is always a nightmare for not only software development (yes, WSL exists
but why not go bare metal?) but as a regular user from performance standpoint but to learn the pain of being
a system administrator and DevOps engineer, especially in concepts such as Kubernetes infrastructure management,
software packaging, and anything related to `systemd` (I have not beef towards their creator and lead dev, it's
just happened to be learning why people think `systemd` sucks.).

## Tools I use and my setup

* **Laptop**: HP Notebook N0K71EA#A2N with 4 x Intel Core i7-5500U CPU @ 2.40GHz, 8 GB of RAM and 1TB HDD,
currently daily-driving Ubuntu LTS 24.04 via KDE Neon.[^3]
* **Phone**: Infinix X6528B with Android 13, 8 GB of RAM, 248 GB of internal storage[^3] (256 GB total if adding 8 GB reserved as virtual RAM).
* **Programming Languages**: [Node.js](https://nodejs.org) + [Deno](https://deno.land), Bash
* **Editors**: nano, [VS Code](https://go.andreijiroh.xyz/vscode) (switching between stable and Insiders), [Zed](https://go.andreijiroh.xyz/zed-editor)
* **Cloud development environments as service**: [GitHub Codespaces](https://github.com/features/codespaces), [Gitpod](https://www.gitpod.io)
* **Code forges**: [GitHub], [GitLab on ~tulir's instance](https://mau.dev/ajhalili2006)[^2], [sourcehut], [codeberg]
* **CI/CD**: [GitHub Actions](https://github.com/features/actions)
* **Secrets management tools**: [dotenvx] for Git-based setup but encrypted,
[Doppler SecretOps platform] for file-less remote configs

[^1]: It is a open-source organization that currently serves as the home of my open-source projects, also [fiscally sponsored](https://hackclub.com/fiscal-sponsorship) by Hack Club.
[^2]: `~tulir`: Tulir Asokan (<https://mau.fi>)
[^3]: These are brought by my dad aboard and sent them back home as gift.
[^4]: See <https://hackclub.com/fiscal-sponsorship> for all things 501c3 US nonprofit fiscal sponsorship, although consider <https://opencollective.com/opensource> for 501c6 option for your open-source project.
[^5]: `~mikedmoy` (also `~gildedguy`): Michael Moy, also known in Hyun's Dojo Community as Gildedguy (the animator, game dev and that level designer in Just Shapes and Beats). See <https://gildedguy.com/website-reborn> for context behind his (old) domain.
[^6]: Quick trip to Vox.com article on this: <https://www.vox.com/the-goods/2021/9/30/22696338/pathologizing-adhd-autism-anxiety-internet-tiktok-twitter>
[^7]: While I am fine with anyone using person-first language (`person with autism`), I prefer identity-first language since neurodivergence is always part of human life and genome. See also this page in [my user manual](./user-manual/neurodivergence-and-disability.md) for more in depth guidance on language and disability.

[Honest Government Ads]: https://go.andreijiroh.xyz/honest-govt-ads
[GitHub]: https://github.com/ajhlili2006
[sourcehut]: https://sr.ht/~ajhalili2006
[across the fediverse]: https://tilde.zone/@ajhalili2006
[dotenvx]: https://go.andreijiroh.xyz/dotenvx
[Doppler SecretOps platform]: https://go.andreijiroh.xyz/doppler
[my personal launchpad issue tracker]: https://go.andreijiroh.xyz/launchpad
[codeberg]: https://codeberg.org/ajhalili2006